- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
tbb::zero_allocator< T, Allocator > Class Template Reference
Memory Allocation

Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...

`#include <tbb_allocator.h>`

Inheritance diagram for tbb::zero_allocator< T, Allocator >:

## Classes
struct | rebind

## Public Types
typedef Allocator< T > | base_allocator_type
typedef base_allocator_type::value_type | value_type
typedef base_allocator_type::pointer | pointer
typedef base_allocator_type::const_pointer | const_pointer
typedef base_allocator_type::reference | reference
typedef base_allocator_type::const_reference | const_reference
typedef base_allocator_type::size_type | size_type
typedef base_allocator_type::difference_type | difference_type

## Public Member Functions
| zero_allocator (const zero_allocator &a) throw ()
template<typename U >
| zero_allocator (const zero_allocator< U > &a) throw ()
pointer | allocate (const size_type n, const void *hint=0)

## Detailed Description

### template<typename T, template< typename X > class Allocator = tbb_allocator>
class tbb::zero_allocator< T, Allocator >

Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5.

The class is an adapter over an actual allocator that fills the allocation using memset function with template argument C as the value. The members are ordered the same way they are in section 20.4.1 of the ISO C++ standard.

The documentation for this class was generated from the following file:

- tbb_allocator.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.